#!/usr/bin/env bash

function miner_ver() {
  local MINER_VER=$DERO_STRATUM_MINER_VER
  [[ -z $MINER_VER ]] && MINER_VER=$MINER_LATEST_VER
  echo $MINER_VER
}


function miner_config_echo() {
  local MINER_VER=`miner_ver`
  miner_echo_config_file "/hive/miners/$MINER_NAME/$MINER_VER/$MINER_NAME.conf"
}

function miner_config_gen() {
  local MINER_CONFIG="$MINER_DIR/$MINER_VER/$MINER_NAME.conf"
  mkfile_from_symlink $MINER_CONFIG

  local conf=

  [[ -z $DERO_STRATUM_MINER_URL ]] && echo -e "${YELLOW}DERO_STRATUM_MINER_URL is empty${NOCOLOR}" && return 1
  url=$DERO_STRATUM_MINER_URL
  grep -q "://" <<< $url
  result=$?
  if [[ -z $DERO_STRATUM_MINER_TLS ]]; then
     [[ $result -ne 0 ]] && url="stratum+tcp://${url}"
  else
     [[ $result -ne 0 ]] && url="stratum+ssl://${url}"
  fi
  conf+="-r $url "

  [[ -z $DERO_STRATUM_MINER_TEMPLATE ]] && echo -e "${YELLOW}DERO_STRATUM_MINER_TEMPLATE is empty${NOCOLOR}" && return 1
  conf+="-w $DERO_STRATUM_MINER_TEMPLATE "

  [[ -n $DERO_STRATUM_MINER_USER_CONFIG ]] && conf+="$DERO_STRATUM_MINER_USER_CONFIG "

  echo "$conf --api-enabled --api-transport http --api-listen 127.0.0.1:$MINER_API_PORT" > $MINER_CONFIG
}